HELP2MAN(1)

NAZWA
help2man - generowanie prostej strony podręcznika

SKŁADNIA
help2man [OPCJA]... PROGRAM

OPIS
`help2man' generuje stronę podręcznika z wyjścia `--help' i `--version'.

-n, --name=ŁAŃCUCH
    opis akapitu NAZWA

-s, --section=SEKCJA
    numer sekcji dla strony podręcznika (1, 6, 8)

-m, --manual=TEKST
    nazwa podręcznika (Polecenia użytkownika, ...)

-S, --source=TEKST
    pochodzenie programu (FSF, Debian, ...)

-L, --locale=ŁAŃCUCH
    ustawienie lokalizacji (domyślnie "C")

-i, --include=PLIK
    dołączenie materiału z `PLIKU'

-I, --opt-include=PLIK
    dołączenie materiału z `PLIKU', jeśli takowy istnieje

-o, --output=PLIK
    zapisanie wyjścia do `PLIKU'

-p, --info-page=TEKST
    nazwa podręcznika Texinfo

-N, --no-info
    pominięcie wskazania do podręcznika Texinfo

-l, --libtool
    pominięcie `lt-' z nazwy programu

--help
    wyświetlenie tego opisu i zakończenie pracy

--version
    wyświetlenie numeru wersji i zakończenie pracy

PROGRAM powinien przyjmować opcje `--help' oraz `--version' i wypisywać informacje na standardowe wyjście, aczkolwiek można podać alternatywne sposoby działania przy pomocy:

-h, --help-option=ŁAŃCUCH
    łańcuch opcji pomocy

-v, --version-option=ŁAŃCUCH
    łańcuch opcji wersji

--version-string=ŁAŃCUCH
    łańcuch wersji

--no-discard-stderr
    dołączenie stderr przy analizie wyjścia

DOŁĄCZANE PLIKI
Do generowanego pliku można dołączyć dodatkowy materiał przy pomocy opcji --include i --opt-include. Format jest prosty:
    [sekcja]
    tekst
    /wzorzec/
    tekst Bloki sformatowanego tekstu *roff są wstawiane do wyjścia na początku podanej [sekcji] (bez rozróżniania wielkości liter) lub po akapicie pasującym do /wzorca/. Wzorce zapisuje się przy użyciu składni perlowych wyrażeń regularnych i można je zakończyć modyfikatorami i, s lub m (patrz perlre(1)). Linie przed pierwszą sekcją lub wzorzec zaczynający się od `-' są przetwarzane jako opcje. Cała reszta jest po cichu ignorowana i może być używana jako komentarze, słowa kluczowe RCS itp. Kolejność sekcji na wyjściu to:
    NAZWA
    SKŁADNIA
    OPIS
    OPCJE
    inne
    ŚRODOWISKO
    PLIKI
    PRZYKŁADY
    AUTOR
    ZGŁASZANIE BŁĘDÓW
    COPYRIGHT
    ZOBACZ TAKŻE Każda sekcja [nazwa] lib [składnia] występująca w pliku dołączanym zastępuje to, co zostałoby automatycznie wyprodukowane (aczkolwiek można w razie potrzeby obejść to zachowanie przez --name ). Inne sekcje są dołączane do automatycznie generowanego wyjścia w przypadku standardowych, wyżej wymienionych sekcji lub włączane w miejscu inne (jak wyżej) w kolejności, w jakiej wystąpiły w dołączanym pliku. Umieszczenie tekstu wewnątrz sekcji może być explicite wymuszone poprzez użycie składni: [<sekcja], [=sekcja] lub [>sekcja] w celu umieszczenia dodatkowego tekstu odpowiednio przed, zamiast lub za domyślnym wyjściem.

DOSTĘPNOŚĆ
Najnowsza wersja tego oprogramowania jest dostępna pod:
    ftp://ftp.gnu.org/gnu/help2man/

AUTOR
Program napisał Brendan O'Dea <bod@debian.org>

ZGŁASZANIE BŁĘDÓW
Błędy prosimy zgłaszać na adres <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2020, 2021 Free Software Foundation, Inc.
Ten program jest wolnodostępny; warunki kopiowania są opisane w źródłach. Autorzy nie dają ŻADNYCH gwarancji, w tym również gwarancji PRZYDATNOŚCI DO SPRZEDAŻY LUB DO KONKRETNYCH CELÓW.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu help2man jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz help2man są właściwie zainstalowane, polecenie

    info help2man

powinno udostępnić kompletny podręcznik.